{% from 'components/freigabestatus_badge.html.jinja' import freigabestatus_badge %}
{% from 'components/tab_navigation.html.jinja' import nav_link %}
{% from 'components/breadcrumbs.html.jinja' import breadcrumbs %}

{%- macro process_header(header, baseurl) -%}
  <header class="container-fluid border-bottom mt-3 px-5">
    {{
      breadcrumbs(
      "Prozesse",
      "Musterprozess" if header.is_sampleprocess else "Prozess",
      header.back_url
      )
    }}

    <div class="container m-0 p-0">
      <h1 class="fs-4 fw-semibold mb-2">{{ header.name }}</h1>
    </div>
    <div class="d-flex align-items-center flex-wrap gap-2 mb-3">
      {{ header.id }}<span>•</span> Version {{ header.version }}
      {{ freigabestatus_badge(header.freigabe_status) }}
      <button
        type="button"
        class="btn-icon copy-link-btn p-0 mr-auto"
        aria-label="Kopiere Link zu Prozess"
        data-href="{{ baseurl }}{{ header.base_href }}"
        data-bs-toggle="tooltip"
        data-bs-placement="bottom"
        data-bs-title="Link zu Prozess kopieren"
      >
        <i class="bi bi-link-45deg fs-5" aria-hidden="true"></i>
      </button>
    </div>

    <nav aria-label="Reiter">
      <ul class="nav nav-underline" id="tabs" role="tablist">
        {% for tab in header.tabs %}
          {{ nav_link(tab) }}
        {% endfor %}
      </ul>
    </nav>
  </header>
{%- endmacro -%}
